Subject: bug#37865: guix pull: error: You found a bug:

From: Kai Mertens <[email-masked]>
Date: Thu, 24 Oct 2019 13:34:29 +0200

On Wed, 23 Oct 2019 19:55:04 +0300
Efraim Flashner <[email-masked]> wrote:

> > > 
> > > LMK how it goes!  
> > 
> > Well, I am not sure how to proceed with my old version of guix.
> > 
> > I wonder if the listed key is as well valid for https://ci.guix.gnu.org
> > just the same as it used to be valid for https://mirror.hydra.gnu.org.
> >   
> 
> It's not. The long RSA key was only for hydra.
> 
> > If not, where can I get the new, correct one?  
> 
> One option is from the git repo.
> I don't see the key hosted online, but you likely already have it in
> your store. It should be in
> /gnu/store/...-guix-../share/guix/ci.guix.gnu.org.pub
> Also if you've run 'guix pull' it should be in ~/.cache/guix/pull/pjmkglp4t7znuugeurpurzikxq3tnlaywmisyr27shj7apsnalwq/etc/substitutes/ci.guix.gnu.org.pub

Yes, you are right. I found the keyfiles in the ~/.cache location,
thank you.

> 
> > 
> > Once I have the keyfile, I am supposed to continue with section
> >  “4.3.2 Substitute Server Authorization”,
> > right?
> > 
> > Then I would try:
> >  # guix-daemon --substitute-urls=https://ci.guix.gnu.org
> >  # guix archive --authorize < my/path/to/ci.guix.gnu.org.pub
> > 
> > Is that correct?  
> 
> If you're on Guix System then you'd want to do 'sudo herd restart
> guix-daemon' after authorizing the key. If you're on a foreign system
> then as long as you don't have '--substitute-urls' already in the
> guix-daemon command then it'll default to ci.guix.gnu.org

This machine is running GNU Guix on top of an old GNU/Linux-libre
distro (Trisquel7).

I edited the /etc/init/guix-daemon.conf configuration file and added
--substitute-urls=https://ci.guix.gnu.org to the exec line.

Then I used
 $ sudo -i
 # guix archive --authorize < path/to/ci.guix.gnu.org.pub
to authorize the server url.

But I think guix still tried to substitute from hydra.
So I deleted the rsa key entries in /etc/guix/acl manually and
performed a logout-login sequence to restart the daemon.

Now it works, hurray! I was able to perform a fast 'guix pull' (~2h)
and the space in / and /tmp turned out to be sufficient.

When invoking guix package -I for example, I encountered an error like
 guile: failed to install locale

But that went away after having updated and installed some packages.
Unfortunately, I don't know exactly which action was responsible to
make this message disappear.

Now that I am running an up-to-date version of guix, there seem to be
no further need to use --substitute-urls=https://ci.guix.gnu.org in the exec
line of the daemon config file nor to have the rsa key deleted in /etc/guix/acl.

I thank you all very much for your help. I feel pretty much relieved
and encouraged to keep trying guix.

best regards
Kai

-- 
Kai Mertens <[email-masked]>
OpenPGP Key-ID: 0x40B15AB4B05B5BF1 on keys.gnupg.net
Key fingerprint = 7C83 0A80 01FF 679C 6E8E  AFD3 40B1 5AB4 B05B 5BF1
What is that? Please check: https://emailselfdefense.fsf.org/en/